List paid recommendations offers OAuth Scope: posts:read
List paid recommendations offers OAuth Scope: posts:read
Currently in beta
This feature is currently in beta and the API is subject to change.
Retrieve the offers the publication pays to be recommended through.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
publicationId
The prefixed ID of the publication object
Query parameters
status
Only return offers with this status.
Allowed values:
limit
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
cursor
Use this opaque cursor token to fetch the next page of results. Obtain the value from next_cursor in a previous response.
Response
OK
data
limit
The limit placed on the results. Defaults to 10 if not specified.
has_more
Indicates whether there are more results available after the current page.
next_cursor
The cursor token to use for fetching the next page of results. This will be null if has_more is false.
total_results
The total number of results from all pages.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error